Subject: Re: Wired behaviour with IPv6 over PPP

From: Matthias Cramer <[email-masked]>
Date: Thu, 22 May 2008 21:05:47 +0200

James Chapman wrote:
> Andrew Morton wrote:
>> On Wed, 21 May 2008 14:56:43 +0200 Matthias Cramer
>> <[email-masked]> wrote:
>>> I have a very wired behaviour when doing IPv6 over PPPoE.
>>>
>>> The situation:
>>>
>>> A linux box connected to a DSL Modem, on the other side is a Cisco
>>> LNS which terminates the PPP session (actually L2TP).
>>> I have control over both ends.
>>>
>>> When I have net.ipv6.conf.all.forwarding set to 0 then the ppp
>>> Interface gets a IPv6 address from the Cisco via IP6CP.
>>> When I have net.ipv6.conf.all.forwarding set to 1 them the ppp
>>> Interface does not get an address, it has only a normal link local
>>> address.
> 
> What do you mean by normal link local address?

a fe80:: address, which every IPv6 enabled Interface has...

> 
>>> When I start the ppp session with forwarding set to 0 I can ping out
>>> and there exists a default route to ppp0 , then I switch forwarding to 1
>>> the default route disappears and therefore routing does not work any
>>> longer.
> 
> Did this work with previous kernel versions?

No, in my opinion it never worked. But I thought that pppd does it wrong
because id never got an IPv6 address. But I had always forwarding
enabled. Now in this case i started pppd without forwarding enabled and
got an address.

> 
> Does pppd log any errors?

No, no errors

-- 
Matthias Cramer                System & Network Manager
Interway Communication GmbH    Phone +41 43 500 1111
Josefstrasse 225               Fax   +41 44 271 3535
CH-8005 Zuerich                http://www.interway.ch/